import express from 'express';
import { authenticate } from '../middleware/authMiddleware.js';
import { addGroup, getGroups, changeGroup, deleteGroup } from '../controllers/groupController.js';

const router = express.Router();

router.use(authenticate);

router.post('/', addGroup);
router.get('/:clubId/:dateId', getGroups);
router.put('/:groupId', changeGroup);
router.delete('/:groupId', deleteGroup);

export default router;
